• Advisory ID: DRUPAL-SA-CONTRIB-2012-143
  • Project: PRH Search (third-party module)
  • Version: 7.x
  • Date: 2012-September-19
  • Security risk: Moderately critical
  • Exploitable from: Remote
  • Vulnerability: Cross Site Scripting

Description

PRH Search provides an interface to search for association information for Finnish association using the PRH (Patentti- ja Rekisterihallitus) database. The module fails to sanitize data retrieved from an untrusted third party source, thereby exposing an arbitrary script injection vulnerability (XSS).

This vulnerability is mitigated by the fact that an attacker must have either gained access to that third party source or use techniques such as DNS spoofing in order to inject malicious data.

CVE: Requested

Versions affected

  • PRH Search 7.x-1.x versions prior to 7.x-1.1

Drupal core is not affected. If you do not use the contributed PRH Search module, there is nothing you need to do.

Solution

Install the latest version:

Also see the PRH Search project page.

Reported by

Fixed by

Coordinated by

Contact and More Information

The Drupal security team can be reached at security at drupal.org or via the contact form at http://drupal.org/contact.

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.